Skip to main content
POST
/
identity-providers
/
{idp_id}
/
provisioning
/
scim-tokens
Create Provisioning SCIM Token
curl --request POST \
  --url https://{tenantDomain}/my-org/identity-providers/{idp_id}/provisioning/scim-tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "token_lifetime": 86400
}
'
{ "token_id": "tok_tuz8H9hWQ8LaCkdh", "token": "tok_tuz8H9hWQ8LaCkdh....", "created_at": "2025-04-11T20:11:45.431Z", "valid_until": "2025-04-12T20:11:45.431Z" }

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

idp_id
string
required

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$

Body

application/json
token_lifetime
integer

Lifetime of the token in seconds. Do not set for non-expiring tokens.

Response

Provisioning SCIM token successfully created.

token_id
string
required

The token identifier.

created_at
string<date-time>
required

The token's created at timestamp.

token
string
required

The SCIM client's token.

scopes
string[]

The token's scopes.

valid_until
string<date-time>

The token's valid until at timestamp (will not exist for non-expiring tokens).